package schedule

import (
	"context"
	"net/url"

	"go.fifitido.net/twitch/api/endpoint"
)

// Gets the broadcaster’s streaming schedule as an iCalendar.
//
// The Client-Id and Authorization headers are not required.
func (s *Schedule) GetChannelICalendarURL(ctx context.Context, broadcasterId string) string {
	return endpoint.Make(s.baseUrl, "schedule/icalendar", url.Values{"broadcaster_id": {broadcasterId}})
}
